// Copyright 2005 DJ Delorie
// Message structs for furnace control module (xmparallel or parallel)

// Seconds before we "time out" the user.  Both parallel and zoneui use this.
#define BUTTON_TIMEOUT 15

struct FurnaceData {
  unsigned char heat;
  unsigned char cool;
  unsigned char fan;
  unsigned char humidify;
  unsigned char zone[4];
};

struct LCDdata {
  unsigned char zone;
  char data[1]; // really longer
};

struct ClimateData {
  unsigned char zone;
  double temperature;
  double humidity;
};

struct ButtonData {
  unsigned char zone;
  unsigned char button;
  unsigned char pressed;
};
