// Copyright 2005 DJ Delorie
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "vars.h"


void *
load_file(char *fn)
{
  void *v;
  struct stat s;
  int fd;
  stat(fn, &s);
  v = malloc (s.st_size);
  fd = open(fn, O_RDONLY);
  read(fd, v, s.st_size);
  close(fd);
  return v;
}

main()
{
  char *names;
  int *idx;
  VarValueType *values;
  int i;

  names = (char *)load_file("vardb.namestr");
  idx = (int *)load_file("vardb.nameidx");
  values = (VarValueType *)load_file("vardb.values");

  for (i=1; i<=idx[0]; i++)
    printf("%16.2f %3d %s\n", values[i], i, names+idx[i]);

}
